%define upstream_name    Lingua-EN-Sentence
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Split text into sentences
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(warnings) >= 1.60.0
BuildArch:  noarch

%description
The 'Lingua::EN::Sentence' module contains the function get_sentences,
which splits text into its constituent sentences, based on a regular
expression and a list of abbreviations (built in and given).

Certain well know exceptions, such as abbreviations, may cause incorrect
segmentations. But some of them are already integrated into this code and
are being taken care of. Still, if you see that there are words causing the
get_sentences function to fail, you can add those to the module, so it
notices them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.340.0-2.mga10
+ Revision: 2218601
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 0.340.0-1.mga10
+ Revision: 1980983
- update to 0.34

* Fri Jul 08 2022 tv <tv> 0.330.0-1.mga9
+ Revision: 1867970
- update to 0.33

* Mon Mar 21 2022 umeabot <umeabot> 0.310.0-3.mga9
+ Revision: 1811315
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.310.0-2.mga8
+ Revision: 1522636
- Mageia 8 Mass Rebuild

* Tue Feb 05 2019 tv <tv> 0.310.0-1.mga7
+ Revision: 1363343
- imported package perl-Lingua-EN-Sentence


* Tue Feb 05 2019 Thierry Vignaud <tv@mageia.org> 0.310.0-1.mga7
- initial mageia release, generated with cpan2dist
